Subject: Re: How to link a .o with all modules

From: "H. Peter Anvin" <[email-masked]>
Date: Sun, 04 May 2008 16:27:17 -0700

Kumar Gala wrote:
> Sam,
> 
> We have a case in powerpc in which we want to link some library routines 
> with all module objects.  The routines are intended for handling 
> out-of-line function call register save/restore so having them as 
> EXPORT_SYMBOL() is counter productive (we do also need to link the same 
> "library" code into the kernel).
> 

Why is having them as an EXPORT_SYMBOL() counterproductive?  It sounds 
like *exactly* what you need -- and then having the kernel provide the 
same code to modules, instead of replication...?

	-hpa